Perp Isolated
Get funding fees
GET
/perp/isolated/funding-feesPrivateGet the funding and quanto adjustment fees of your isolated trades, one row per trade and funding settlement: of every perpetual market, or of one market when instrument and pair are both passed, or of one trade with tradeId. Paginated, newest first.
Permissions: futures:isolated:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-11-02T11:07:07.067Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?Cursor for pagination: the nextCursor of the previous page, passed as cursor[value] and cursor[id]
instrument?stringInstrument of the market
Value in
"inverse_perp""quanto_perp"pair?stringPair of the market
tradeId?stringTrade id to filter by
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results: the last row's sort date and id. Pass it back as the cursor parameter of the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.perp.isolated.getFundingFees({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-02T11:07:06.159Z',
limit: 500,
instrument: 'inverse_perp',
pair: 'btc_usd',
tradeId: 'eb6ccf09-140f-4207-8a56-3f91e16a445c'
}){
"data": [
{
"instrument": "inverse_perp",
"pair": "btc_usd",
"time": "2025-01-01T00:00:00.000Z",
"tradeId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"settlementId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"fee": 10,
"quantoAdjustmentFee": 0
}
],
"nextCursor": {
"value": "2024-01-15T10:30:00.000Z",
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e"
}
}